import {Component} from "@angular/core";
import {CurrencyPipe} from "@angular/common";
import {FormsModule} from "@angular/forms";
import {Lang} from "./lang";

@Component({
  selector: 'app-idk',
  standalone: true,
  imports: [CurrencyPipe, FormsModule],
  template: `
    <select [ngModel]="currency" (ngModelChange)="setCurrency($event)">
      @for (currency of currencies; track null) {
        <option value="{{currency.name}}">{{currency.name}}</option>
      }
    </select>
    {{ 234 | currency : currency.currency : 'symbol' : '2.2-2' : currency.code }}
  `
})
export class IdkComponent {
  public currency: Lang = {name: 'de', code: 'de-DE', currency: 'EUR'};

  public currencies: Lang[] = [
    {
      name: 'de',
      code: 'de-DE',
      currency: 'EUR'
    },
    {
      name: 'en',
      code: 'en-US',
      currency: 'USD'
    },
    {
      name: 'jap',
      code: 'ja-JP',
      currency: 'JPY'
    },
    {
      name: 'cn',
      code: 'cn-CN',
      currency: 'CNY'
    }
  ]

  public setCurrency(currencyInput: string): void {
    for (const currency of this.currencies) {
      if (currency.name === currencyInput) {
        this.currency = currency;
          break;
      }
    }
  }
}
