import {Component, Input} from '@angular/core';

@Component({
  selector: 'app-star',
  standalone: true,
  imports: [],
  template: `
    @for (_ of getList(); track null) {
      <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24" color="yellow"><path fill="currentColor" d="m5.825 21l1.625-7.025L2 9.25l7.2-.625L12 2l2.8 6.625l7.2.625l-5.45 4.725L18.175 21L12 17.275z"/></svg>
    }
    @if (rating % 1 >= 0.5) {
      <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24" color="yellow"><path fill="currentColor" d="M12 2L9.19 8.62L2 9.24l5.45 4.73L5.82 21L12 17.27z"/></svg>
    }
  `,
})
export class StarComponent {
  @Input()
  public rating: number = 0;

  public getList(): null[] {
    let rating = this.rating;
    if (rating % 1 !== 0) {
      rating = this.rating - 0.5;
    }

    return Array(rating).fill(null);
  }
}
